Bug 1447382 - Service : PXE provisioning for RHEV fails
Summary: Service : PXE provisioning for RHEV fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: GA
: 5.8.0
Assignee: Boriso
QA Contact: Ilanit Stein
URL:
Whiteboard: service:pxe:rhev:provision
Depends On: 1446409
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-02 15:07 UTC by Satoe Imaishi
Modified: 2017-05-31 15:07 UTC (History)
10 users (show)

Fixed In Version: 5.8.0.13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1446409
Environment:
Last Closed: 2017-05-31 15:07:46 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-05-02 15:11:14 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/8e5b51da23db7e54b48fb6d3e5025b9b3bfa3490

commit 8e5b51da23db7e54b48fb6d3e5025b9b3bfa3490
Author:     Marcel Hild <hild@b4mad.net>
AuthorDate: Tue May 2 15:48:37 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue May 2 11:08:20 2017 -0400

    Merge pull request #24 from borod108/bugs/1446409pxe_prov
    
    Fix rescue during PXE and ISO provisioning
    (cherry picked from commit 729b410359f3e80af7f7323296e7e02828688b5d)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1447382

 .../redhat/infra_manager/ovirt_services.rb         |  3 +-
 .../infra_manager/ovirt_services/ovirt_services.rb |  4 ---
 .../infra_manager/provision/state_machine.rb       |  2 +-
 .../provision_via_iso/state_machine.rb             |  2 +-
 .../provision_via_pxe/state_machine.rb             |  4 +--
 .../provision_via_pxe/state_machine_spec.rb        | 34 ++++++++++++++++++++--
 6 files changed, 37 insertions(+), 12 deletions(-)
 delete mode 100644 app/models/manageiq/providers/redhat/infra_manager/ovirt_services/ovirt_services.rb

Comment 3 Ilanit Stein 2017-05-09 11:36:48 UTC
Verified on on CFME-5.8.0.13 + Fix for Bug 1448137 / RHV-4.0.4.

On the following test cases, the error mentioned in this bug do not appear:

1. VM provision from PXE RHEL-6, without custom template - Installation of selected image had started.

2. VM provision from PXE, with a RHEL-6 custom template, and filling the root password, hostname - Installation from chosen PXE image started, however there was a warning that Hardware is not supported, probably because of the mismatch of running on RHV-4.0, and using a RHEL-6 template.

Comment 5 errata-xmlrpc 2017-05-31 15:07:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.